PartDesign Formelemente

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page PartDesign Feature and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎русский

Einleitung

Ein PartDesign Formelement verweist auf einen "Schritt" im Modellierungsprozess, der innerhalb eines PartDesign Body stattfindet. Zum Beispiel jedes Mal, wenn du einen Festkörperquader mit PartDesign Quader hinzufügen, fügst Du ein Formelement hinzu; wenn Du eine Fase zu einer Kante mit PartDesign Fase hinzufügst, fügst Du ein weiteres Formelement hinzu; wenn Du ein Loch mit Skizze und PartDesign Tasche schneidest, fügst Du ein weiteres Formelement hinzu.

PartDesign Feature example.png

Featurebearbeitung ein einem PartDesign Body mit drei aufeinanderfolgenden Features

Es gibt viele Arten von Formelementen, die einem ursprünglichen Körper Volumen hinzufügen oder entfernen können. Das Wort "Formelement" bezieht sich auf die Bearbeitung selbst und auch auf den resultierenden Festkörper nach dieser Bearbeitung.

Um mehr über die Erstellung von Festkörperobjekten mit dem PartDesign Arbeitsbereich zu erfahren, siehe Formelementbearbeitung.

Anwendung

Fast alle Werkzeuge im PartDesign Arbeitsbereich sind dazu gedacht, einem PartDesign Körper Formelemente hinzuzufügen. Diese Werkzeuge können über die Menü- und Werkzeugleisten-Schaltflächen aufgerufen werden, während ein Objekt oder Unterelement (Knoten, Kante, Fläche) ausgewählt ist.

Die Formelemente können in verschiedene Kategorien eingeteilt werden:

Subtraktionsbox, Subtraktionskegel, Subtraktionszylinder, Subtraktionsellipsoid, Subtraktives Prisma, Subtraktive Kugel, Subtraktiver Torus und Subtraktiver Keil.

Vererbung

FreeCAD core objects.svg

Vereinfachtes Diagramm der Beziehungen zwischen den Kernobjekten im Programm. Die PartDesign::Formelement Objekte werden zum Aufbau parametrischer 3D Körper verwendet und sind somit vom Basisobjekt Part::Formelement abgeleitet.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten , und geskriptete Objekte.

Siehe Part Formelemente für allgemeine Informationen über das Hinzufügen von Objekten aus der Python Konsole.

Siehe PartDesign Körper für die allgemeinen Informationen zum Hinzufügen eines Körpers. Sobald ein Körper existiert, können Formelemente mit der Methode addObject() des Körpers angehängt werden.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject('PartDesign::Body', 'Body')
obj.Label = "Custom label"

feature = App.ActiveDocument.addObject('PartDesign::AdditiveBox', 'Box')
feature.Width = 200
feature.Length = 300
feature.Height = 500
obj.addObject(feature)
App.ActiveDocument.recompute()

feature2 = App.ActiveDocument.addObject('PartDesign::SubtractiveBox', 'Box')
feature2.Width = 50
feature2.Length = 200
feature2.Height = 400
obj.addObject(feature2)
App.ActiveDocument.recompute()